Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: emacs user <[email-masked]>
Date: Fri, 31 Dec 2010 19:42:25 +0200

anyway, the fix worked and crashes are gone!  frame title is now "bad
coding".  many thanks for this.  E

On Fri, Dec 31, 2010 at 6:56 PM, Stefan Monnier
<[email-masked]> wrote:
>> Emacs should never use unibyte strings for buffer names.
>
> I don't think we make any effort to prevent this from happening.
>
> And I'm not completely sure that it would be worth the trouble either:
> I suspect that wherever a unibyte buffer-name would cause problem
> (mode-line, window title, younameit), some other unibyte string could
> appear from elsewhere just as well, so enforcing multibyte buffer-names
> wouldn't close the vulnerabilities.
>
>
>        Stefan
>